# ion-scroll



<!-- Auto Generated Below -->


## Properties

#### forceOverscroll

boolean

If true and the content does not cause an overflow scroll, the scroll interaction will cause a bounce.
If the content exceeds the bounds of ionScroll, nothing will change.
Note, the does not disable the system bounce on iOS. That is an OS level setting.


#### mode

string


#### scrollEvents

boolean


## Attributes

#### force-overscroll

boolean

If true and the content does not cause an overflow scroll, the scroll interaction will cause a bounce.
If the content exceeds the bounds of ionScroll, nothing will change.
Note, the does not disable the system bounce on iOS. That is an OS level setting.


#### mode

string


#### scroll-events

boolean


## Events

#### ionScroll

Emitted while scrolling. This event is disabled by default.
Look at the property: `scrollEvents`


#### ionScrollEnd

Emitted when the scroll has ended.


#### ionScrollStart

Emitted when the scroll has started.


## Methods

#### scrollByPoint()


#### scrollToBottom()


#### scrollToPoint()


#### scrollToTop()



----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
